Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
environments
/
slug
/
{envSlug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/projects/{projectId}/environments/slug/{envSlug} \
  --header 'Authorization: Bearer <token>'
{
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "position": 123,
    "projectId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deleteAfter": "2023-11-07T05:31:56Z",
    "softDeletedAt": "2023-11-07T05:31:56Z",
    "deletedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deletedByIdentityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string<uuid>
required

The ID of the project the environment belongs to.

envSlug
string
required

The slug of the environment to fetch.

Required string length: 1 - 64

Response

Default Response

environment
object
required